Bug 1088675 - Please move nm-l2tp-auth-dialog (which depends on gtk3) to a subpackage
Summary: Please move nm-l2tp-auth-dialog (which depends on gtk3) to a subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-l2tp
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Douglas Kosovic
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-04-17 01:32 UTC by Kevin Kofler
Modified: 2016-11-28 07:25 UTC (History)
3 users (show)

Fixed In Version: NetworkManager-l2tp-1.2.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 07:25:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-04-17 01:32:47 UTC
Description of problem:
NetworkManager-l2tp depends on gtk3 for the nm-l2tp-auth-dialog. This drags in gtk3 as a dependency of kde-plasma-nm-l2tp. kde-plasma-nm-l2tp has its own authentication dialog and does not need the GTK+ one.

Version-Release number of selected component (if applicable):
NetworkManager-l2tp-0.9.8.6-2.fc21

How reproducible:
Always.

Steps to Reproduce:
1. Install kde-plasma-nm-l2tp on a system without gtk3.

Actual results:
gtk3 is required.

Expected results:
gtk3 is not required.

Additional info:
All the NetworkManager VPN plugins have this packaging issue, I am filing a separate bug for each.

Comment 1 Jaroslav Reznik 2015-03-03 15:42:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Douglas Kosovic 2016-05-31 05:25:45 UTC
NetworkManager-l2tp 1.0.2 for Fedora 23 and NetworkManager-l2tp 1.2.2 for Fedora 24 now come with separate NetworkManager-l2tp-gnome RPMs which have the GNOME dependencies.

Comment 3 Kevin Kofler 2016-11-05 18:44:53 UTC
NetworkManager-l2tp-1.2.2-1.fc24 still drags in gtk3. Please look at how this was fixed in e.g. NetworkManager-openvpn: http://pkgs.fedoraproject.org/cgit/rpms/NetworkManager-openvpn.git/commit/?id=01d92111612cd8c23f3a8b9abc15af4a169e762a

Comment 4 Kevin Kofler 2016-11-05 19:13:37 UTC
%{_libexecdir}/nm-l2tp-auth-dialog needs to move to -gnome, and %{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp.so needs to move to the main package (so you will have to avoid using the lib*.so* catch-all wildcard in -gnome, or use %exclude there, to avoid duplicating the library in both).

Comment 5 Douglas Kosovic 2016-11-06 12:07:38 UTC
I'll hopefully be releasing NetworkManager-l2tp-1.2.4 source this week on github.

I was going to sync with the NetworkManager-pptp-1.2.4 SPEC file, but as it happens, it seems to have recently incorporated the openvpn package fix.

Comment 6 Kevin Kofler 2016-11-06 18:13:37 UTC
Yes, NetworkManager-pptp looks right; if you sync with that specfile, it should work.

Comment 7 Kevin Kofler 2016-11-13 04:38:01 UTC
Any news here? I see no new upstream release nor any specfile changes yet.

Comment 8 Douglas Kosovic 2016-11-13 04:57:15 UTC
I'm still working on the upstream code. I didn't get much time to work on the code last week and a severe hail storm that cut power to tens of thousands of homes didn't help either.

I'll hopefully be working on the code today, but no promises I'll tag a new upstream release today as I want to test the code on 4 different linux distortions and a couple versions of some distributions.

Comment 9 Kevin Kofler 2016-11-13 05:33:49 UTC
OK, thanks for the status update.

Comment 10 Douglas Kosovic 2016-11-19 12:36:59 UTC
NetworkManager-l2tp 1.2.4 source code has been released which includes the source code updates to split the libnm plugin (libnm-vpn-plugin-l2tp.so) into a core and GTK part as described on :

https://bugzilla.gnome.org/show_bug.cgi?id=766623

I now need to create the NetworkManager-l2tp 1.2.4 RPMs.

Comment 11 Fedora Update System 2016-11-20 11:08:11 UTC
NetworkManager-l2tp-1.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-863a28c489

Comment 12 Fedora Update System 2016-11-20 19:53:12 UTC
NetworkManager-l2tp-1.2.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-863a28c489

Comment 13 Fedora Update System 2016-11-28 07:25:02 UTC
NetworkManager-l2tp-1.2.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.